STRUCT PUSH_FRONT(3)

NAME
boost::proto::functional::push_front - A PolymorphicFunctionObject type that invokes the fusion::push_front() algorithm on its arguments.

SYNOPSIS

// In header: <boost/proto/functional/fusion/push_front.hpp>
struct push_front :  proto::callable {
  // member classes/structs/unions
  template<typename This, typename Seq, typename T>
  struct result<This(Seq, T)> :  fusion::result_of::push_front<
      typename boost::add_const<typename boost::remove_reference<Seq>::type>::type
    , typename boost::remove_const<typename boost::remove_reference<T>::type>::type
  >
  {
  };
  // public member functions
  template<typename Seq, typename T>
    typename fusion::result_of::push_front< Seq const, T >::type
    operator()(Seq const &, T const &) const;
};

DESCRIPTION

A PolymorphicFunctionObject type that invokes the fusion::push_front() algorithm on its arguments.

  push_front public member functions

    1.

    template<typename Seq, typename T>
      typename fusion::result_of::push_front< Seq const, T >::type
      operator()(Seq const & seq, T const & t) const;

    Returns:
        fusion::push_front(seq, t)